Package org.bukkit

# Interface BlockChangeDelegate

public interface BlockChangeDelegate
A delegate for handling block changes. This serves as a direct interface between generation algorithms in the server implementation and utilizing code.

## Method Summary

Modifier and Type
Method
Description
`@NotNull BlockData`
`getBlockData(int x, int y, int z)`
Get the block data at the location.
`int`
`getHeight()`
Gets the height of the world.
`boolean`
`isEmpty(int x, int y, int z)`
Checks if the specified block is empty (air) or not.
`boolean`
`setBlockData(int x, int y, int z, @NotNull BlockData blockData)`
Set a block data at the specified coordinates.

## Method Details

### setBlockData

boolean setBlockData(int x, int y, int z, @NotNull @NotNull BlockData blockData)
Set a block data at the specified coordinates.

Parameters:
  `x` - X coordinate
  `y` - Y coordinate
  `z` - Z coordinate
  `blockData` - Block data
Returns:
  true if the block was set successfully

### getBlockData

@NotNull @NotNull BlockData getBlockData(int x, int y, int z)
Get the block data at the location.

Parameters:
  `x` - X coordinate
  `y` - Y coordinate
  `z` - Z coordinate
Returns:
  The block data

### getHeight

int getHeight()
Gets the height of the world.

Returns:
  Height of the world

### isEmpty

boolean isEmpty(int x, int y, int z)
Checks if the specified block is empty (air) or not.

Parameters:
  `x` - X coordinate
  `y` - Y coordinate
  `z` - Z coordinate
Returns:
  True if the block is considered empty.